[A110]Company Patent Transfer In or Transfer Out

get
https://connect.patsnap.com/insights-company/acquisition-divestiture
Try in Sandbox

Understand which organizations have most frequently transferred patent ownership to this company and which patents have been transferred.Understand which organisations the company has most frequently transferred patent ownership to and which patents have been involved. This may indicate technology areas this company is no longer targeting or investing research and development resources towards.

Please fill in the complete company_name to obtain the company analysis report.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
apply_end_time
string2020
Patent apply date to, format:yyyy
apply_start_time
string2010
Patent apply date from, format:yyyy
authority
stringCN OR EP
Select the authority of the patent, the default query all databases, eg CN、US、EP、JP. To find more information, refer to https://analytics.zhihuiya.com/status.

Example: US OR EP

company_name
string华为技术有限公司
Query the name of a single enterprise
credit_code
string914403001922038216
This field is not supported in the current version , please search by company name
lang
Required
stringen
Select the language , the default language is en, you can choose cn or en.
org_number
string192203821
This field is not supported in the current version , please search by company name
patent_type
stringA OR B
Patent application type

A:Applications

B: Patents

U: Utility models

D: Designs

Multiple options can be selected, and multiple content items can be spliced with OR (there is a space between parameter and OR)

public_end_time
string2020
Patent publication date to, format:yyyy
public_start_time
string2010
Patent publication date from, format:yyyy
simple_legal_status
string1 OR 2
Patent simple legal status

0-Inactive

1-Active

2-Pending

220-PCT designated stage expired

n

221-PCT designated stage

999-Undetermined

Multiple options can be selected, and multiple content items can be spliced with OR (there is a space between parameter and OR)

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
acquisition
objectPlease check the form: AcquisitionTransfer
Transferred in
patent_total
integer<int32>25
Total number of patents transferred in or out
transfer_list
arrayPlease check the form: Transfer
Transferred in or out information
count
integer<int32>2
Number of patents transferred in or out
applicant
string上海微高精密机械工程有限公司
Applicants of patents transferred in or out
divestiture
objectPlease check the form: AcquisitionTransfer
Transferred out
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "acquisition": {
      "patent_total": 25,
      "transfer_list": [
        {
          "count": 2,
          "applicant": "上海微高精密机械工程有限公司"
        }
      ]
    },
    "divestiture": {
      "patent_total": 25,
      "transfer_list": [
        {
          "count": 2,
          "applicant": "上海微高精密机械工程有限公司"
        }
      ]
    }
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found